org.apache.sling.hc.api.execution

## Class HealthCheckSelector

- java.lang.Object
- - org.apache.sling.hc.api.execution.HealthCheckSelector

Deprecated.

    @Deprecated
     @ProviderType
    public final class HealthCheckSelector
    extends Object

Parameter class to pass a set of tags and names to the filter.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static HealthCheckSelector` `empty()` Deprecated.
`String[]` `names()` Deprecated.
`static HealthCheckSelector` `names(String... names)` Deprecated.
`String[]` `tags()` Deprecated.
`static HealthCheckSelector` `tags(String... tags)` Deprecated.
`String` `toString()` Deprecated.
`HealthCheckSelector` `withNames(String... names)` Deprecated. Copy the specified names into the current names array.
`HealthCheckSelector` `withTags(String... tags)` Deprecated. Copy the specified names into the current tags array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### tags

    public String[] tags()

Deprecated.

#### names

    public String[] names()

Deprecated.

#### withTags

    public HealthCheckSelector withTags(String... tags)

Deprecated.
Copy the specified names into the current tags array.

Parameters:
  `tags` - the new tags. Specify null to clear the current tag array
Returns:
  this

#### withNames

    public HealthCheckSelector withNames(String... names)

Deprecated.
Copy the specified names into the current names array.

Parameters:
  `names` - the new names. Specify null to clear the current name array
Returns:
  this

#### empty

    public static HealthCheckSelector empty()

Deprecated.

#### tags

    public static HealthCheckSelector tags(String... tags)

Deprecated.

#### names

    public static HealthCheckSelector names(String... names)

Deprecated.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`